# ForkOptions

abstract class ForkOptions : ProviderAwareCompilerDaemonForkOptions

Fork options for Java compilation. Only take effect if `CompileOptions.fork` is `true`.

## Constructors

ForkOptions
Link copied to clipboard
constructor()

## Properties

executable
Link copied to clipboard
@get:Nullable
@get:Optional
@get:Input
open var executable: String
javaHome
Link copied to clipboard
@get:Internal
@get:Nullable
open var javaHome: File
jvmArgs
Link copied to clipboard
open var jvmArgs: List<String>
jvmArgumentProviders
Link copied to clipboard
val jvmArgumentProviders: List<CommandLineArgumentProvider>
memoryInitialSize
Link copied to clipboard
open var memoryInitialSize: String
memoryMaximumSize
Link copied to clipboard
open var memoryMaximumSize: String
tempDir
Link copied to clipboard
@get:Internal
@get:Nullable
open var tempDir: String

## Functions

getAllJvmArgs
Link copied to clipboard
open fun getAllJvmArgs(): List<String>